## org.w3c.dom.svg
Interface SVGFETurbulenceElement

All Superinterfaces:
  org.w3c.dom.Element, org.w3c.dom.Node, SVGElement, SVGFilterPrimitiveStandardAttributes, SVGStylable

All Known Implementing Classes:
  SVGOMFETurbulenceElement

public interface SVGFETurbulenceElement
extends SVGElement, SVGFilterPrimitiveStandardAttributes

Field Summary
`static short` `SVG_STITCHTYPE_NOSTITCH`
`static short` `SVG_STITCHTYPE_STITCH`
`static short` `SVG_STITCHTYPE_UNKNOWN`
`static short` `SVG_TURBULENCE_TYPE_FRACTALNOISE`
`static short` `SVG_TURBULENCE_TYPE_TURBULENCE`
`static short` `SVG_TURBULENCE_TYPE_UNKNOWN`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`SVGAnimatedNumber` `getBaseFrequencyX()`
`SVGAnimatedNumber` `getBaseFrequencyY()`
`SVGAnimatedInteger` `getNumOctaves()`
`SVGAnimatedNumber` `getSeed()`
`SVGAnimatedEnumeration` `getStitchTiles()`
`SVGAnimatedEnumeration` `getType()`

Methods inherited from interface org.w3c.dom.svg.SVGElement
`getId, getOwnerSVGElement, getViewportElement, getXMLbase, setId, setXMLbase`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Methods inherited from interface org.w3c.dom.svg.SVGFilterPrimitiveStandardAttributes
`getHeight, getResult, getWidth, getX, getY`

Methods inherited from interface org.w3c.dom.svg.SVGStylable
`getClassName, getPresentationAttribute, getStyle`

Field Detail

### SVG_TURBULENCE_TYPE_UNKNOWN

    public static final short SVG_TURBULENCE_TYPE_UNKNOWN

See Also:
  Constant Field Values

### SVG_TURBULENCE_TYPE_FRACTALNOISE

    public static final short SVG_TURBULENCE_TYPE_FRACTALNOISE

See Also:
  Constant Field Values

### SVG_TURBULENCE_TYPE_TURBULENCE

    public static final short SVG_TURBULENCE_TYPE_TURBULENCE

See Also:
  Constant Field Values

### SVG_STITCHTYPE_UNKNOWN

    public static final short SVG_STITCHTYPE_UNKNOWN

See Also:
  Constant Field Values

### SVG_STITCHTYPE_STITCH

    public static final short SVG_STITCHTYPE_STITCH

See Also:
  Constant Field Values

### SVG_STITCHTYPE_NOSTITCH

    public static final short SVG_STITCHTYPE_NOSTITCH

See Also:
  Constant Field Values

Method Detail

### getBaseFrequencyX

    public SVGAnimatedNumber getBaseFrequencyX()

### getBaseFrequencyY

    public SVGAnimatedNumber getBaseFrequencyY()

### getNumOctaves

    public SVGAnimatedInteger getNumOctaves()

### getSeed

    public SVGAnimatedNumber getSeed()

### getStitchTiles

    public SVGAnimatedEnumeration getStitchTiles()

### getType

    public SVGAnimatedEnumeration getType()

Copyright © 2004 Apache Software Foundation. All Rights Reserved.